Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.pipeline
Class NodeCountTransformation

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
                      fr.gouv.culture.sdx.pipeline.AbstractTransformation
                          fr.gouv.culture.sdx.pipeline.AbstractNodeBasedTransformation
                              fr.gouv.culture.sdx.pipeline.NodeCountTransformation

All Implemented Interfaces:
  org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Encodable, Identifiable, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, SdxObject, org.apache.avalon.framework.service.Serviceable, Transformation, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

Direct Known Subclasses:
  NodeCounter

public class NodeCountTransformation
extends AbstractNodeBasedTransformation

Created by IntelliJ IDEA. User: rpandey Date: Jul 28, 2003 Time: 12:07:43 PM To change this template use Options | File Templates.

Nested Class Summary
`protected class` | `NodeCountTransformation.NodeCounter`

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`protected java.lang.String` | `_boundsElem`
`protected java.lang.String` | `_countMode`
`protected java.lang.StringBuffer` | `content`
`static java.lang.String` | `PARAM_NAME_BOUNDS_ELEMENT`
`static java.lang.String` | `PARAM_NAME_COUNT_MODE`
`static java.lang.String` | `PARAM_VALUE_ATTRIBUTE`
`static java.lang.String` | `PARAM_VALUE_ELEMENT`
`protected java.util.Hashtable` | `sortedCounters`
`protected boolean` | `withinBoundsElem`

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractNodeBasedTransformation
`_attributesToTrack, _wildcardNodesToTrack, _xpathString, c_attributes, c_loc, c_raw, c_uri`

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`PARAMETER_NAME_DISABLE, PARAMETER_NAME_ENABLE, parameters, transParameters`

Fields inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.sdx.pipeline.Transformation
`ATTRIBUTE_KEEP, ATTRIBUTE_SRC, ATTRIBUTE_TH, CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`NodeCountTransformation()`

Method Summary
`void` | `characters(char[] c, int start, int len)`
`protected void` | `count(java.lang.String counterName, java.lang.String content)`
`void` | `endElement(java.lang.String uri, java.lang.String loc, java.lang.String raw)`
`protected NodeCountTransformation.NodeCounter` | `prepareCounter(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes atts)`
`void` | `recycle()` Recycles the contentHandler, lexicalHandler, and xmlConsumer for the transformation
`protected void` | `resetFields()`
`protected void` | `sendSummary()`
`protected void` | `setInternalParameters(org.apache.avalon.framework.parameters.Parameters params)`
`void` | `startElement(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes a)`

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractNodeBasedTransformation
`attributeIsParameter, configure, elementIsParameter, matchesWildcardAttribute, matchesWildcardElement, matchesWildcardName, nodeIsParameter, peekCurrentAttributes, resetCurrentElementProperties, setCurrentElementProperties, setNodesToTrack, wildCardExprMatchesElementXpathString`

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`getClassNameSuffix, getParameters, initToSax, initVolatileObjectsToSax, isStepEnabled, setParameters, shouldKeepResult, verifyConfigurationParameters`

Methods inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Field Detail

### PARAM_NAME_BOUNDS_ELEMENT

    public static final java.lang.String PARAM_NAME_BOUNDS_ELEMENT

See Also:
  Constant Field Values

### PARAM_NAME_COUNT_MODE

    public static final java.lang.String PARAM_NAME_COUNT_MODE

See Also:
  Constant Field Values

### PARAM_VALUE_ELEMENT

    public static final java.lang.String PARAM_VALUE_ELEMENT

See Also:
  Constant Field Values

### PARAM_VALUE_ATTRIBUTE

    public static final java.lang.String PARAM_VALUE_ATTRIBUTE

See Also:
  Constant Field Values

### _boundsElem

    protected java.lang.String _boundsElem

### _countMode

    protected java.lang.String _countMode

### withinBoundsElem

    protected boolean withinBoundsElem

### sortedCounters

    protected java.util.Hashtable sortedCounters

### content

    protected java.lang.StringBuffer content

Constructor Detail

### NodeCountTransformation

    public NodeCountTransformation()

Method Detail

### setInternalParameters

    protected void setInternalParameters(org.apache.avalon.framework.parameters.Parameters params)

  Overrides:
    `setInternalParameters` in class `AbstractNodeBasedTransformation`

### prepareCounter

    protected NodeCountTransformation.NodeCounter prepareCounter(java.lang.String uri,
                                                                 java.lang.String loc,
                                                                 java.lang.String raw,
                                                                 org.xml.sax.Attributes atts)

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String loc,
                             java.lang.String raw,
                             org.xml.sax.Attributes a)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String loc,
                           java.lang.String raw)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### count

    protected void count(java.lang.String counterName,
                         java.lang.String content)

### sendSummary

    protected void sendSummary()
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### resetFields

    protected void resetFields()

  Overrides:
    `resetFields` in class `AbstractNodeBasedTransformation`

### characters

    public void characters(char[] c,
                           int start,
                           int len)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### recycle

    public void recycle()

  Description copied from class: `AbstractTransformation`
  Recycles the contentHandler, lexicalHandler, and xmlConsumer for the transformation

  Specified by:
    `recycle` in interface `Transformation`
  Overrides:
    `recycle` in class `AbstractNodeBasedTransformation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.